/* *************************************************************
   RWhois Software

   Copyright (c) 1994 Scott Williamson and Mark Kosters
   Copyright (c) 1996-1998 Network Solutions, Inc.

   See the file LICENSE for conditions of use and distribution.
**************************************************************** */

#ifndef _STRUTIL_H_
#define _STRUTIL_H_

/* prototypes */

char *stripchar(char *str, char ch);

char *strip_trailing(char *str, char ch);

char *strip_leading(char *str, char ch);

char *strip_control(char *str);

char *rtrim(char *str);

char *ltrim(char *str)   ;

char *trim(char *str);

char *strrev(char *str);

char *skip_whitespace(char *str);

int  count_char(char *str, char c);

int  count_spaces(char *str);

char *strSTR(char *str1, char *str2);

char *strupr(char *a);

char *compact_whitespace(char *str);

int is_not_empty_str(char *str);

int is_no_whitespace_str(char *str);

int is_number_str(char *str);

#endif /* _STRUTIL_H_ */
